export declare class IMAPFolderInfoNativeBinding {
    get uidNext(): number;
    set uidNext(uid: number);
    get uidValidity(): number;
    set uidValidity(uidV: number);
    get modSequenceValue(): number;
    set modSequenceValue(mod: number);
    get messageCount(): number;
    set messageCount(msgCount: number);
    get firstUnseenUid(): number;
    set firstUnseenUid(uid: number);
    get allowsNewPermanentFlags(): boolean;
    set allowsNewPermanentFlags(allow: boolean);
}

export declare interface IMAPFolderInfoNativeBindingObject {
    new(): IMAPFolderInfoNativeBinding
    strError(errorCode: number): string
}
